//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator 
// League of the RoboCup 2000 competition
//
// Copyright (C) 1998, 1999, 2000 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//-*- c++ -*-/////////////////////////////////////////////////////////
//
//  $Id: mrbtypes.h,v 1.3 2000/10/19 15:27:46 goetz Exp $
// 
//  mrbtypes.h - declaration of enum types for sserver information
// 
//////////////////////////////////////////////////////////////////////


#ifndef _MRBTYPES_H_
#define _MRBTYPES_H_


enum view_width {
  VIEW_WIDTH_NARROW,
  VIEW_WIDTH_NORMAL,
  VIEW_WIDTH_WIDE
};

enum view_quality {
  VIEW_QUALITY_LOW,
  VIEW_QUALITY_HIGH
};

enum playing_side {
  SIDE_UNKNOWN = -1,
  SIDE_LEFT,
  SIDE_RIGHT
};

enum play_mode {
  PLAY_MODE_UNKNOWN = -1,
  PLAY_MODE_BEFORE_KICK_OFF = 0,
  PLAY_MODE_TIME_OVER,
  PLAY_MODE_PLAY_ON,
  PLAY_MODE_KICK_OFF_US,
  PLAY_MODE_KICK_OFF_THEM,
  PLAY_MODE_KICK_IN_US,
  PLAY_MODE_KICK_IN_THEM,
  PLAY_MODE_FREE_KICK_US,
  PLAY_MODE_FREE_KICK_THEM,
  PLAY_MODE_CORNER_KICK_US,
  PLAY_MODE_CORNER_KICK_THEM,
  PLAY_MODE_GOAL_KICK_US,
  PLAY_MODE_GOAL_KICK_THEM,
  PLAY_MODE_GOAL_US,
  PLAY_MODE_GOAL_THEM,
  PLAY_MODE_DROP_BALL,
  PLAY_MODE_OFFSIDE_US,
  PLAY_MODE_OFFSIDE_THEM,
  PLAY_MODE_HALF_TIME,
  PLAY_MODE_TIME_EXTENDED
};



#endif
