// -*- c++ -*- /////////////////////////////////////////////////
//
// $Id: trainer.h,v 1.2 2000/08/10 12:00:26 goetz Exp $
//
// trainer.h
//
////////////////////////////////////////////////////////////////

#ifndef _TRAINER_H_
#define _TRAINER_H_

#include <unistd.h>
#include "coach.h"
#include "snapshot.h"


class Trainer : public Coach {
  
public:
  
  Trainer (const char*  team,
	   playing_side side,
	   const char*  host         = DEFAULT_HOST,
	   int          port         = COACH_PORT,   
	   double       MapWindowMagnify = 0,
	   bool         logging      = false);
  
  virtual void act(Snapshot* snap);
  
private:
  
  char playername [MAX_SERVER_MSG_SIZE];

};

#endif
